# Informationen

[[_TOC_]]

## Was ist JLU GitLab?

JLU GitLab ist eine [GitLab-Webanwendung](https://de.wikipedia.org/wiki/GitLab).
GitLab ist ein vielseitiges Werkzeug für die Verwaltung von Projekten, die das Bearbeiten von Dateien involvieren.
Kern jedes GitLab-Projekts ist ein [Git-Repository](https://de.wikipedia.org/wiki/Git), mit dem der Bearbeitungsstand versioniert werden kann.
GitLab bietet für jedes Projekt zusätzlich ein Wiki, ein Ticketsystem, und vieles mehr.

JLU GitLab ist per Browser unter [https://gitlab.test.uni-giessen.de](https://gitlab.test.uni-giessen.de) erreichbar und wird auf Systemen der [Justus-Liebig-Universität (JLU) Gießen](https://www.uni-giessen.de/fbz/svc/hrz) betrieben.
Die eingesetzte GitLab Community Edition ist als freie Software lizensiert, sodass JLU GitLab technisch und juristisch von [GitLab.com](https://gitlab.com) unabhängig ist.

JLU GitLab wird von einem [Team freiwilliger Mitarbeitenden](#wer-betreibt-jlu-gitlab) betrieben.

## Anwendungsmöglichkeiten

* In [Good enough practices in scientific computing von G. Wilseon et. al. (2017)](http://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1005510)
    wird die Motivation und die Verwendung von Versionierungswerkzeugen für z.B. wissenschaftlichen Programmcode beschrieben.
* TODO: Weitere hinzufügen: Laborverwaltung, Schreiben und Publizieren, ...

## Keine Speicherung von Forschungsdaten

JLU GitLab ist derzeit nicht für die Speicherung von Forschungsdaten vorgesehen.
Es wird hiervon ausdrücklich abgeraten.

Für die Speicherung von Forschungsdaten stehen an der JLU die [JLUbox](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/jlubox) sowie [Netzlaufwerke](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/san/index_html) zur Verfügung.
Bei Fragen des Forschungsdatenmanagements hilft Ihnen [dieser FAQ](https://www.uni-giessen.de/ub/digitales-publizieren/fdm/faq/) weiter oder wenden Sie sich per E-Mail an [forschungsdaten@uni-giessen.de](mailto:forschungsdaten@uni-giessen.de).

## Wer kann auf JLU GitLab zugreifen?

JLU GitLab ist aus dem gesamten Internet erreichbar (per HTTPS-Protokoll).

Dies bedeutet, dass sich Sichtbarkeitsstufe *public* von [Projekten](Hilfe.md#sichtbarkeit-von-projekten) und [Nutzergruppen](Hilfe.md#sichtbarkeit-von-gruppen) auf alle bezieht, die Zugriff auf das Internet haben.

Zugriff per SSH-Protokoll ist nur über das [VPN der Universität](https://www.uni-giessen.de/fbz/svc/hrz/svc/netz/campus/vpn) möglich.

## Wer kann JLU GitLab benutzen?

JLU GitLab steht derzeit allen Mitarbeitenden und Studierenden mit einer gültigen g- oder s-Kennung zur Verfügung, sofern sie die [Nutzungsbedingungen](Nutzungsbedingungen.md) akzeptieren.

Dies bedeutet, dass sich die Sichtbarkeitsstufe *internal* von [Projekten](Hilfe.md#sichtbarkeit-von-projekten) und [Nutzergruppen](Hilfe.md#sichtbarkeit-von-gruppen) auf diese Personengruppe bezieht.

Hilfe zum Erstellen eines Nutzungskontos für JLU GitLab [finden Sie hier](Hilfe.md#wie-erstelle-ich-ein-nutzungskonto).

## Wie kann ich JLU GitLab benutzen?

Information zur konkreten Benutzung von JLU GitLab finden Sie auf [Hilfe zur Benutzung](Hilfe.md).

## Auflösung des Nutzungskontos

Nutzungskontos von JLU GitLab können auf verschiedene Weisen aufgelöst werden:

- Nutzende können jederzeit freiwillig ihr Nutzungskonto löschen.
  Falls Sie ihr Nutzungskonto löschen möchten, folgen Sie bitte [diesen Schritten](Hilfe.md#wie-lösche-ich-mein-nutzungskonto).
  Sie können auch noch ein paar [letzte Schritte](Hilfe.md#letzte-schritte) bedenken, bevor Sie Ihr Konto löschen.
- Das Konto wird nach einer Frist von 6 Monaten gelöscht, nachdem Ihre [g- oder s-Kennung ungültig geworden ist](#was-passiert-wenn-meine-g-oder-s-kennung-ungültig-wird).
  Dies passiert meist dann, wenn Sie die [Universität verlassen](#was-passiert-wenn-ich-die-jlu-verlasse).
- Die [Betreibenden](#wer-betreibt-jlu-gitlab) können ein Nutzungskonto löschen, wenn dessen Aktivitäten die [Nutzungsbedingungen](Nutzungsbedingungen.md) verletzt.

Unten finden Sie eine [Übersicht welche Daten mitgelöscht werden](#was-passiert-mit-meinen-daten-wenn-mein-konto-gelöscht-wird), wenn Ihr Konto gelöscht wird.

### Was passiert, wenn ich die JLU verlasse?

Wenn Sie die Universität verlassen (z.B. Vertragsende, Exmatrikulation), wird auch innerhalb weniger Wochen Ihre [g- oder s-Kennung ungültig](#was-passiert-wenn-meine-g-oder-s-kennung-ungültig-wird).
Für diesen Vorgang ist das [HRZ](https://www.uni-giessen.de/fbz/svc/hrz) zuständig; bei Fragen dazu kontaktieren bitte dieses.

### Was passiert, wenn meine g- oder s-Kennung ungültig wird?

Wenn Ihre g- or s-Kennung ungültig wird, wird Ihr Nutzungskonto auf JLU GitLab automatisch innerhalb von 24 Stunden blockiert.
Wenn Ihr Konto blockiert ist, können Sie sich nicht mehr in JLU GitLab einloggen.
Nachdem Ihr Konto 6 Monate lang blockiert war, wird es gelöscht, siehe unten.

### Was passiert mit meinen Daten, wenn mein Konto gelöscht wird?

Wie viele Ihrer Daten gelöscht werden, hängt davon ab, wie Sie JLU GitLab genutzt haben.
Ihre Kontodaten und persönlichen Projekte werden gelöscht (mitsamt enthaltener Git-Repositorien).

Falls Sie zu Projekten von Gruppen oder anderer Nutzenden beigetragen haben, wird der Bezug zu Ihrem Konto entfernt, aber der Inhalt bleibt in den Projekten enthalten und stehen den verbleibenden Mitgliedern weiterhin zu Verfügung.
Ihre Commits in Git-Repositorien von Gruppen oder anderer Nutzenden (einschließlich Wikis) werden nicht verändert.

#### Löschen verwaister Gruppen und deren Projekte

Wenn das letzte Mitglied einer Gruppe gelöscht wird, wird die Gruppe als verwaist angesehen und mitsamt allen zugeordneten Projekten gelöscht.

<!-- NOTE: Die folgende Erklärung war ggf. zu detailliert, aber dient noch der Begründung.
#### Genauere Details

Um mehr Details zu erläutern, bedient sich die folgende Erklärung einiger [wichtiger Konzepte von Git und GitLab](Hilfe.md#wichtige-konzepte).

Wenn Ihr Nutzungskonto gelöscht wird, werden auch alle Daten aus Ihrem Profil gelöscht, sowie alle eigenen Projekte in Ihrem *Namensraum*.
Beachten Sie, dass diese Projekte bedingungslos gelöscht werden, auch wenn sie weitere Projektmitglieder haben.
Sie können einige [letzte Schritte](Hilfe.md#letzte-schritte) unternehmen, um mögliche Störungen zu vermeiden.

Daten, die Sie in anderen Projekten beigetragen haben (in anderen Namensräumen anderer Nutzenden oder Gruppen), werden nicht gelöscht ([es sei denn, eine Gruppe verwaist](#löschen-verwaister-gruppen-und-deren-projekte)).
Stattdessen werden Ihre Beiträge anonymisiert, soweit dies technisch möglich und für die restlichen Mitglieder zumutbar ist.
Dies verhindert Störungen der verbleibenden Mitglieder, deren Arbeit auf Ihren Beiträgen aufbaut.
Zum Beispiel bleibt der Inhalt Ihrer Kommentare in Ticketsystemen anderer Projekte lesbar, bloß ohne Verbindung zu ihrem gelöschten Nutzungskonto.
Stattdessen werden Ihre Kommentare scheinbar von einem *Ghost*-Konto stammen, einem Platzhalter-Konto für die Verwaltung solcher anonymen Daten.

Eine wichtige Ausnahme sind Ihre Git-*Commits* in den *Repositorien* anderer Projekte: Diese werden weder gelöscht noch anonymisiert.
Stattdessen werden alle Informationen genauso bleiben wie sie beim Anlegen des Commits vorlagen; sie können nicht geändert oder gelöscht werden, ohne Störungen für die übrigen Mitglieder zu erzeugen.
Beachten Sie auch, dass ihre Commit-Daten wahrscheinlich nicht nur auf JLU GitLab gespeichert sind, sondern auf den Geräten anderer Mitglieder, da die Git-Kommandos *push* und *pull* das gesamte Repository zwischen Geräten synchronisieren können.
JLU GitLab wird nicht (noch kann es) Daten von Endgeräten anderer Nutzender löschen.
Hierbei ist wichtig, dass die Commits ihren tatsächlichen Namen und E-Mail-Adresse enthalten können, je nach den Einstellungen des eigenen Endgeräts und in JLU GitLab.
Lesen Sie über [Einstellmöglickeiten bezüglich privater Informationen](Hilfe.md#einstellungen-die-private-informationen-betreffen) um diese nach Ihren Wünschen einzurichten.
-->

## Wer betreibt JLU GitLab?

JLU GitLab wird von einer Kooperation aus freiwilligen Mitarbeitenden der Fachbereiche und der [Universitätsbibliothek](https://www.uni-giessen.de/ub/de) unter Einhaltung der [Richtlinien für die IT-Systemadministration an der JLU Gießen](https://www.uni-giessen.de/fbz/mug/2/pdf/2_26_30_4) betrieben.
Wir arbeiten in Rücksprache mit der [JLU-internen IKM-AG](https://www.uni-giessen.de/org/cio/cio/ikm-ag) und wir nutzen für den Betrieb ausschließlich Infrastruktur des [Hochschulrechenzentrums](https://www.uni-giessen.de/fbz/svc/hrz).

Wir sind immer auf der Suche nach weiteren Freiwilligen die uns unterstützen wollen.
Bitte kontaktieren Sie uns, falls Sie mehr über unsere Arbeitsweise und Entscheidungsfindung wissen möchten.

Wir sind auf verschiedene Weisen erreichbar, siehe [Kontaktinformation](#Kontakt).


## Die Ziele von JLU GitLab

Der Testbetrieb von JLU GitLab dient zunächst der Bedarfserfassung innerhalb der JLU und der Evaluation der Funktionalitäten im Forschungskontext.
Wir glauben, dass Git und GitLab die besten zeitgemäßen Werkzeuge sind, um die Software und Dokumentation unserer Forschungsprojekte zu verwalten.
Nur eine lokal installierte, frei lizensierte Plattform wie GitLab kann langfristig sicherstellen, unsere Kontrolle über dessen Implementation und Administration zu wahren.
<!-- NOTE: Löschen, oder zu FDM hinzugefügen und klären?
In diesem Zusammenhang scheint erwähnenswert, dass die Dokumentation und Software, die zum Verständnis von Forschungsdaten notwendig ist, laut der [Forschungsdaten-Leitlinie der JLU](https://www.uni-giessen.de/mug/5/pdf/forschung/5_00_00_1) selbst als Forschungsdaten gelten.
-->

## Zukunftspläne

Nachdem JLU GitLab universitätsintern nutzbar ist, haben wir weitere Pläne um es noch nützlicher zu machen.
Wir würden gerne...

- ...Benutzungskonten auch für Außenstehende der JLU ermöglichen
- ...die Verwendung von [Git Large File Storage (LFS)](https://docs.gitlab.com/ce/workflow/lfs/manage_large_binaries_with_git_lfs.html) erörtern
- ...der Möglichkeit nachgehen wie Inhalte per [GitLab Pages](https://docs.gitlab.com/ce/user/project/pages/) publiziert werden können


## Kontakt

Für Anfragen nach Hilfe und Unterstützung schreiben Sie bitte eine Email an die Mailingliste für Hilfe, [gitlab-help@lists.uni-giessen.de](mailto:gitlab-help@lists.uni-giessen.de).

Für alles Weitere kontaktieren Sie das [Team der Betreibenden](#maintainers) unter unserer internen Mailingliste, [gitlab-admin@lists.uni-giessen.de](mailto:gitlab-admin@lists.uni-giessen.de).

Falls Sie Neuigkeiten über JLU GitLab erfahren möchten, können sie die Mailingliste [gitlab-news@lists.uni-giessen.de](mailto:gitlab-news@lists.uni-giessen.de) abbonieren.
Außerdem können Sie die [Protokolle der IKM-AG](https://www.uni-giessen.de/org/cio/cio/ikm-ag) verfolgen (nur intern verfügbar).

