# Nutzungsbedingungen für JLU GitLab

*Stand 28.04.2020*

Für die Nutzung von JLU GitLab gelten ergänzend zur [Benutzungsordnung des Hochschulrechenzentrums (HRZ)](https://www.uni-giessen.de/mug/2/pdf/2_32_01_2/) der Justus-Liebig-Universität Gießen (JLU) die folgenden Bedingungen.
Bei erstmaliger Anmeldung bei JLU GitLab müssen die Nutzungsbedingungen des JLU GitLab sowie die Benutzungsordnung des HRZ in jeweils aktueller Fassung zur Kenntnis genommen und akzeptiert werden.

## Die Betreibenden

JLU GitLab wird von einer Kooperation aus Mitarbeitenden der Fachbereiche und der Universitätsbibliothek unter Einhaltung der Richtlinien für die IT-Systemadministration an der JLU Gießen betrieben und technisch vom HRZ gehostet.
Die Betreibenden sind über eine E-Mailliste erreichbar.

## Funktionsumfang und Nutzerkreis

JLU GitLab ist ein Webdienst zur Verwaltung von Dateien, die mit der Software Git versioniert werden (in sogenannten "Git-Repositorien").
Der Dienst steht Mitgliedern und Angehörigen der JLU mit gültiger g- oder s-Kennung zur Verfügung (im Folgenden "Nutzende" genannt).

In JLU GitLab stehen jedem Nutzenden sogenannte Projekte zur Verfügung, die jeweils ein Git-Repository und weitere Daten (z.B. im Ticketsystem) enthalten können.
Nutzende können die Daten von Projekten zwischen JLU GitLab und ihren Endgeräten per Web-Browser austauschen.
Zur Synchronisation von Git-Repositorien zwischen Endgeräten und JLU GitLab steht die Software Git für verschiedene Betriebssysteme zur Verfügung.
Neben dem jeweils eigenen Namensraum der Nutzenden können auch Nutzergruppen angelegt werden, die gesonderte Namensräume für Projekte bereitstellen.
Für kooperatives Arbeiten können Projekte in verschiedenen Abstufungen zugänglich gemacht werden von Lese- bis Schreibzugriff.

Die Betreibenden können den Zugang zu JLU GitLab aus technischen oder organisatorischen Gründen jederzeit beschränken oder einstellen; ein Anspruch auf Zugang zu diesem System besteht nicht.
Sofern voraussehbar, verpflichten sich die Betreibenden die Nutzenden rechtzeitig im Voraus darüber zu informieren.

## Speicherplatz

Allen Nutzenden stehen i.d.R. 50 Projekte mit jeweils bis zu 1 GB Speicher zur Verfügung.

## Private Nutzung

Die Speicherung von privaten, nicht im Zusammenhang mit Tätigkeiten an der JLU Gießen stehenden Daten ist ausdrücklich untersagt.

## Leistungsüberwachung

Es ist ausdrücklich untersagt, JLU GitLab für die Überwachung von Verhalten oder Leistungen von Personen zu nutzen.

## Datensicherheit

Die Kommunikation zwischen den Endgeräten der Nutzenden und JLU GitLab erfolgt verschlüsselt.
Die gespeicherten Daten werden unverschlüsselt auf zugriffsbeschränkten Speichersystemen des HRZ abgelegt.
Für die Daten wird in regelmäßigen Abständen eine Sicherung auf zugriffsbeschränkten Systemen des HRZ erstellt.
JLU GitLab ist zur Speicherung von Daten mit normalem Schutzbedarf geeignet.

## Verantwortung für Inhalte

Für die Konformität der Inhalte der gespeicherten Daten mit rechtlichen Bestimmungen sind alleinig die jeweiligen Nutzenden mit Eigentümerrechten (höchstmögliche Nutzerrolle) in einem Projekt bzw. einer Nutzergruppe verantwortlich, auch wenn diese von anderen Nutzenden stammen.
Insbesondere ist sicherzustellen, dass nicht gegen in §5 der HRZ-Benutzungsordnung aufgeführten Gesetze verstoßen wird.
Nutzende verpflichten sich, Daten nicht unberechtigten Personen zugänglich zu machen.
Nutzenden mit Eigentümerrechten in einem Projekt bzw. einer Nutzergruppe wird empfohlen, deren Dateninhalte regelmäßig zu prüfen.
Die Betreibenden und die JLU übernehmen keine Verantwortung bei etwaigem Missbrauch.

## Löschung von Benutzerkonto und Daten

Mit Verlust der Gültigkeit der persönlichen g- oder s-Kennung verfällt die Zugangsberechtigung für JLU GitLab.
Die einem Nutzenden zugeordneten Daten werden für eine Dauer von 6 Monaten nach Verfall der Zugangsberechtigung vorgehalten.
Anschließend werden Benutzerkonto und alle Projekte im eigenen Namensraum des Nutzenden gelöscht.
Gleichzeitig wird der direkte Personenbezug von weiteren personenbezogenen Daten in Form von Beiträgen (z.B. Tickets, Kommentare, Merge-Requests) zu fremden Projekten in anderen Namensräumen entfernt.
Beiträge zu Git-Repositorien werden nicht verändert.

## Vorbehalt von Änderungen dieser Nutzungsbedingungen

Die Betreibenden behalten sich das Recht vor, die Bedingungen für die Nutzung des Dienstes zu ändern.

