# Terms of use for JLU GitLab

*Effective 04/28/2020*  
*Please note that this text is a translation that cannot replace the legally binding German version, ["Nutzungsbedingungen für JLU GitLab"](https://gitlab.test.uni-giessen.de/jlugitlab/support/-/blob/master/de/Nutzungsbedingungen.md)*

The following terms and conditions apply to the use of JLU GitLab in addition to the [usage regulations of the IT Service Centre (ISC)](https://www.uni-giessen.de/mug/2/pdf/2_32_01_2/) of the Justus Liebig University Giessen (JLU).
When logging on to JLU GitLab for the first time, the current version of the Terms of Use for JLU GitLab and the ISC's usage regulations must be read and accepted.

## The Operators

JLU GitLab is operated by a cooperation of employees of the departments and the university library in compliance with the guidelines for IT system administration at JLU Giessen and is technically hosted by the ISC.
The operators can be reached via an e-mail list.

## Range of functions and eligible users

JLU GitLab is a web service for managing files versioned with the Git software (in so-called "Git repositories").
The service is available to members and associates of JLU with a valid g- or s-account (from here referred to as "users").

In JLU GitLab, each user has access to so-called projects, each of which may contain a Git repository and other data (e.g. in the ticket system).
Users can exchange project data between JLU GitLab and their devices via web browser.
For synchronizing Git repositories between devices and JLU GitLab, the Git software is available for various operating systems.
In addition to the user's own namespace, user groups can also be created that provide separate namespaces for projects.
For collaborative work, projects can be made accessible in various degrees of read and write access.

The operators may restrict or terminate access to JLU GitLab at any time for technical or organizational reasons; there is no entitlement to access the system.
If foreseeable, the operators pledge to inform the users about this in advance and in good time.

## Storage space

As a rule, 50 projects with up to 1 GB memory each are available to all users.

## Private use

The storage of private data not related to activities at JLU Giessen is expressly prohibited.

## Performance monitoring

It is expressly prohibited to use JLU GitLab to monitor the behavior or performance of individuals.

## Data Security

Communication between the user's devices and JLU GitLab is encrypted.
The data is stored unencrypted on access-restricted storage systems of the ISC.
A backup of the data is created at regular intervals on access-restricted systems of the ISC.
JLU GitLab is suitable for storing data with normal protection requirements.

## Responsibility for content

The respective users with ownership rights (highest possible user role) in a project or user group are solely responsible for the conformity of the contents of the stored data with legal regulations, even if they originate from other users.
In particular, it must be ensured that no laws listed in §5 of the ISC's usage regulations are violated.
Users undertake not to make data available to unauthorized persons.
Users with ownership rights in a project or user group are recommended to check their data contents regularly.
The operators and the JLU do not assume any responsibility for any misuse.

## Deletion of user account and data

Once the personal g- or s-account is no longer valid, the access authorization for JLU GitLab expires.
The data assigned to a user will be retained for a period of 6 months after expiry of the access authorization.
After this period, the user account and all projects in the user's own namespace will be deleted.
At the same time, the direct personal reference of further personal data in the form of contributions (e.g. issues, comments, merge requests) to external projects in other namespaces will be removed.
Contributions to Git repositories remain unchanged.

## Reservation to change these terms of use

The operators reserve their right to change the conditions of use of the service.

